org.apache.cassandra.tools

## Class NodeTool.GetCompactionThreshold

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.NodeTool.GetCompactionThreshold

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NodeTool

    @Command(name="getcompactionthreshold",
             description="Print min and max compaction thresholds for a given column family")
    public static class NodeTool.GetCompactionThreshold
    extends NodeTool.NodeToolCmd

### Constructor Summary

Constructors
Constructor and Description
`NodeTool.GetCompactionThreshold()`

### Method Summary

Methods
`void` `execute(NodeProbe probe)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalColumnFamilies, parseOptionalKeyspace, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeTool.GetCompactionThreshold

    public NodeTool.GetCompactionThreshold()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`